.btn {
    fill: $white;
    color: $white;
    outline: none;
    cursor: pointer;
    height: rem(50);
    font-weight: 400;
    font-size: rem(16);
    line-height: rem(24);
    text-transform: uppercase;
    padding: rem(8) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: rem(1) solid $white;
    background: rgba(255, 99, 62, 1);
    border-radius: rem(4);
    fill: #000;

    &:hover {
        color: $white;
        background: rgb(255, 82, 39);
        text-decoration: none;
        fill: $white;
    }

    &:active {
        background: rgba(255, 99, 62, 1);
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(16);
    }

    span + i {
        margin-left: rem(8);
    }

    i + span {
        margin-left: rem(68);
    }
}

.btn-action {
    width: 100%;
    margin: 0;
    padding: 0;
    outline: none;
    height: rem(50);
    color: $black;
    text-decoration: none;
    text-align: center;
    font-size: rem(12);
    line-height: rem(16);
    background: rgba(0,0,0,0.0);
    border: 1px solid rgb(216, 216, 216);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .3s;

    &__wrap {
        font-style: normal;
        display: block;
        margin: auto 0;
    }

    &__icon {
        height: rem(16);
        font-size: 0;
        line-height: 0;
        display: inline-block;
    }

    &__text {
        display: block;
    }

    &:hover {
        color: $black;
        text-decoration: none;
        background: rgba(0,0,0,0.05);
        transition: .3s;
    }

    &--xl {
        font-size: rem(14);

       .btn-action__icon {
            height: rem(20);
            margin-right: rem(8);
        }
    }
}
